Bug 240090 - Review Request: ftgl - OpenGL frontend to Freetype 2
Review Request: ftgl - OpenGL frontend to Freetype 2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 21:38 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 08:01:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-05-14 21:38:07 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl-2.1.2-1.kwizart.fc6.src.rpm
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl.spec
Description: OpenGL frontend to Freetype 2

By default shared libs are disabled onlystatic is build

Needed for cinepaint (optionnal) 
A quick rebuilt of cinepaint show that it detect it...

rpmlint is silent - not tested in mock for now...

Might do some cleanup - Create Demos subpackage if needed...
Comment 1 Patrice Dumas 2007-05-15 03:13:02 EDT
There is a ftgl package on Planet CCRMA, you may want to 
have a look at it.

Also there are debian, suse and mandriva packages, although
they may be less interesting. 
Comment 2 Nicolas Chauvet (kwizart) 2007-05-15 10:10:44 EDT
I didn't found SRPMS for planetccrma:
http://ccrma.stanford.edu/planetccrma/mirror/fedora/linux/planetccrma/6/SRPMS/
is empty...
But i noticed that they do not have x86_64 RPMS for ftgl...

I will try to see for others distrib but i only knwo how to "spy" gentoo ebuild
for now.. 
( http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/ftgl/files/ )
which didn't seems to contains only fixes for ftgl.pc.in (but not the Requires
field) and gcc4.1 patch as i've done...

More precisely ftgl is needed by icc_examin inside cinepaint...

./FTGLDEMO fails: (tested on x86_64 - not sure if this is only because of
arial.ttf i do not have...)
[builder@Kwizatz demo]$ ./FTGLDemo 
freeglut (lt-FTGLDemo): Unable to create direct context rendering for window
'FTGL TEST'
This may hurt performance.
Failed to open font /usr/share/fonts/truetype/arial.ttf
---
builder@Kwizatz demo]$ ldd FTGLDemo
        not a dynamic executable
---
Comment 3 Philippe Valembois 2007-05-28 09:11:58 EDT
RPMLint output :
W: ftgl mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 20)

Mock output :
+ chrpath --delete /var/tmp/ftgl-2.1.2-1.fc6-root-mockbuild/usr/bin/FTGLDemo
open: No such file or directory
The file isn't installed
Comment 4 Nicolas Chauvet (kwizart) 2007-05-28 11:45:43 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl-2.1.2-2.kwizart.fc6.src.rpm
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl.spec
Description: OpenGL frontend to Freetype 2

fixed

I've checked the ftgl package from debian here:
http://ftp.debian.org/debian/pool/main/f/ftgl/ftgl_2.1.2-3.diff.gz
There is nothing more than the ftgl-2.1.2-Glyph-g++_41.patch
(well also config.sub and config.guess updates which do not seems really needed
for us - probably k_BDS stuff)...

Setting a right font in FTGL/demo/FTGLDemo.cpp allow to uses the FTGLDemo
which run fine if direct rendering is enabled on the system (and without direct
rendering also...)

Built in mock on x86_64 and i386 on Fedora 6 (log are in the same directory)


Comment 5 Mamoru TASAKA 2007-07-11 15:03:50 EDT
For 2.1.2-2:

* Timestamps
  - For this package, please add 'INSTALL="%{__install} -p"' option
    to "make install" to keep timestamps.

* Requires
  - "Requires: freetype2" in pkgconfig .pc file means that -devel
     package must have "Requires: freetype-devel"
  - And more Requires is needed for .pc file (so -devel package).
    Please check: /usr/include/FTGL/FTGL.h

* BuildRequires
  - Remove redundant BuildRequires.
    For example:
    - freeglut-devel Requires libGL-devel, libGLU-devel
    - libXmu-devel Requires libX11-devel

? Demo program
  - Still demo program has to be removed?

* %clean
------------------------------------------------
%clean
rm -rf $RPM_BUILD_ROOT unix/__doc
------------------------------------------------
   - Why unix/__doc is needed here? At the end, all files
     under building directory will be removed.
Comment 6 Mamoru TASAKA 2007-07-11 15:07:42 EDT
By the way, would you have a time to review my package
( bug 246716 )?
Comment 7 Nicolas Chauvet (kwizart) 2007-07-13 10:11:38 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl-2.1.2-3.kwizart.fc6.src.rpm
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl.spec
Description: OpenGL frontend to Freetype 2

- And more Requires is needed for .pc file (so -devel package).
    Please check: /usr/include/FTGL/FTGL.h
Mesa seems also required but as they do not bundle .pc file, then i down't knwo
how to do with them (leaving them in Libs for now...)
Comment 8 Mamoru TASAKA 2007-07-13 13:04:39 EDT
For -3:

* font requirement
  - Please add the Requires to -utils the rpm which
    contains the needed fonts (freefont?)

* .pc file
> Mesa seems also required but as they do not bundle 
> .pc file, then i down't know
> how to do with them (leaving them in Libs for now...)

  - While it is okay for now that mesa does not ship
    .pc file because /usr/include/FTGL/FTGL.h says:
---------------------------------------------
            #include <GL/gl.h>
---------------------------------------------
    .pc file contains extra linkage requirement.

    For the description in the two lines "Libs:" and
    "Cflags", "-lfreetype" and "-I/usr/include/freetype2"
    should not be needed because ftgl.pc has
    "Requires: freetype2".
----------------------------------------------
$ pkg-config --cflags freetype2
-I/usr/include/freetype2  
----------------------------------------------
Comment 9 Nicolas Chauvet (kwizart) 2007-07-13 14:53:08 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl-2.1.2-4.kwizart.fc6.src.rpm
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl.spec
Description: OpenGL frontend to Freetype 2

So now ftgl.pc look like this:
------------------
prefix=/usr
exec_prefix=/usr
libdir=/usr/lib64
includedir=/usr/include

Name: ftgl
Description: OpenGL frontend to Freetype 2
Version: 2.0.5
Requires: freetype2
Libs: -lGLU -L/usr/lib64 -lGL -L${libdir} -lftgl
Cflags: -I${includedir} -I/usr/include
------------
Comment 10 Mamoru TASAKA 2007-07-14 12:25:36 EDT
Sorry, one more comment...

(In reply to comment #9)
> So now ftgl.pc look like this:
> ------------------
<snip>
> Version: 2.0.5
<snip>
> ------------

Please fix this.
Comment 11 Nicolas Chauvet (kwizart) 2007-07-14 14:08:12 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl-2.1.2-5.kwizart.fc6.src.rpm
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/ftgl/ftgl.spec
Description: OpenGL frontend to Freetype 2

Used dynamic patch for this...
The whole package need to be fixed. but i don't think this is necesarry to use
autotools. Whereas this fix may work with future release, I will try to advice
the maintainer of ftgl about this...
Comment 12 Mamoru TASAKA 2007-07-15 11:10:55 EDT
Okay.

-------------------------------------------------
  This package (ftgl) is APPROVED by me
-------------------------------------------------
Comment 13 Nicolas Chauvet (kwizart) 2007-07-15 11:23:44 EDT
Tested with EL-5 so branching also...

New Package CVS Request
=======================
Package Name: ftgl
Short Description: OpenGL frontend to Freetype 2
Owners: kwizart@gmail.com
Branches: FC-6 F-7 EL-5
InitialCC:

Note You need to log in before you can comment on or make changes to this bug.